$(document).ready(function() {
    load(1);
});

function load(page) {
    var reporte_tienda = $("#tienda").val();
    var desde = $("#bd-desde").val();
    var hasta = $("#bd-hasta").val();
    var url = 'php2/busca_producto.php';

    // 1. Mostramos el mensaje de carga
    $("#loader").fadeIn('slow');

    $.ajax({
        type: 'POST',
        url: url,
        data: 'desde=' + desde + '&hasta=' + hasta + '&page=' + page + '&reporte_tienda=' + reporte_tienda,
        success: function(datos) {
            // 2. Insertamos los datos en el div
            $('#agrega-registros').html(datos);

            // 3. ¡ESTO ES LO QUE FALTA! Ocultamos el mensaje cuando ya terminó
            $("#loader").fadeOut('slow');
        }
    });
}